package com.cf.imes.module.system.validation.sms;

import com.cf.imes.framework.test.core.ut.BaseMockitoUnitTest;
import com.cf.imes.module.system.enums.sms.SmsTemplateTypeEnum;
import jakarta.validation.ConstraintValidatorContext;
import org.junit.jupiter.api.Test;
import org.mockito.Mock;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

/**
 * 短信模版校验器单元测试
 *
 * @author Gqr
 * @since 2025/12/10 14:19
 */
class SmsTemplateTypeValidatorTest extends BaseMockitoUnitTest {
    @Mock
    private ConstraintValidatorContext constraintValidatorContext;

    @Test
    void testValid() {
        SmsTemplateTypeValidator validator = new SmsTemplateTypeValidator();
        assertTrue(validator.isValid(SmsTemplateTypeEnum.VERIFICATION_CODE.getType(), constraintValidatorContext));
        assertTrue(validator.isValid(SmsTemplateTypeEnum.NOTICE.getType(), constraintValidatorContext));
        assertTrue(validator.isValid(SmsTemplateTypeEnum.PROMOTION.getType(), constraintValidatorContext));
        assertTrue(validator.isValid(null, constraintValidatorContext));
        assertFalse(validator.isValid(4, constraintValidatorContext));
    }
}